Skip to main content
GET
/
v1
/
customers
/
{id}
/
notes
/
{note_id}
Get a note for a customer
curl --request GET \
  --url https://dev.flextell.ai/api/v1/customers/{id}/notes/{note_id} \
  --header 'Authorization: Bearer <token>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "content": "<string>",
    "user_id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "author": {
      "id": 123,
      "name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The customer identifier

note_id
integer
required

The note identifier

Response

success
string
required
data
NoteResource · object
required